<?php
// Pgina on mitjanant una rutina SQL s'obt la taula "serveis" del usuari
// guardat com variable de sessi.

// Es crida a la pgina amb el controls de seguretat de sessi.
require'seguretatsesio.php';

// Es crea la connexi a la base de dades amb l'usuari restringit.
$con = mysqli_connect("localhost","ui","UOC2014","gespas");

// S'incialitzen les variable "i" i la matriu on guardar tota la informaci. 
$i=0;
$matriu=array();

// Es controla si hi s'ha generat un error de connexi.
if(mysqli_connect_errno($con)){
 echo "Ha fallat la connexi " . mysqli_connect_error();
}

// Es crida a la funci que vigila que les variables de sessi no sn susceptibles a haver
// estat manipulades.
vi();

// Es controla que l'usuari s registrat i la clau de sessi sembla "correcta".
if(($_SESSION['regis'] == 1) && ($_SESSION['SKey'] == $_GET['ctl'])){

  // Es crida a la rutina que "extreu" les dades a la taula "serveis".
  $sql = "CALL treuServ('$_SESSION[u]')";

  // Es guarda la informaci retornada de la consulta.
  $retorn = mysqli_query($con,$sql);

  // S'executa un bucle que extreu les dades i les "passa" la nova matriu.
  while($fila = mysqli_fetch_array($retorn)){
    array_push($matriu,$fila[0],$fila[1],$fila[2],$fila[3]);
  }

  // Es converteix la matriu en "format JSON". 
  $s_matriu = json_encode($matriu);
  echo $s_matriu; // Retorna la matriu com sortida.
}else{
  tanca();                   // Si falla la verificaci tanquem la sessi
  exit("Sessi invalidada"); // i sortim.
}

// Es controla que no s'hagi produt un error a l'execuci de la rutina.
if (!$retorn){
  die('Error: ' . mysqli_error($con));
}

// Es tanca la connexi amb la base de dades.
mysqli_close($con);

// S'actualitza el temps de darrera activitat.
$_SESSION['LastActivity'] = $_SERVER['REQUEST_TIME'];
?>