﻿function mira(){
  var grau = 0;                                  //Inicialitza el grau de fortalesa a zero
  var a = document.inici.contrasenya.value;      //Volca el contingut del camp contrasenya del formulari
  var llarg = a.length;                          //Variable amb la longitud de la contrasenya
  var arrElms = [];                              //Crea una matriu on guardar els "dígits" de la contrasenya
  arrElms =  a.split("");                        //Passa cada dígit con un element de la matriu

  var N = 0;                                     //Inicialitza el nombre d'elements de l'entropia
	
  var maj = false;                               //Inicialitza la variable "conté" majúscules
  var minus = false;                             //Inicialitza la variable "conté" minúscules
  var nume = false;                              //Inicialitza la variable "conté" números
  var simb = false;                              //Inicialitza la variable "conté" simbols

  //Avalua els elements de cada "grup" per determinar el nombre d'elements (N)
  for (var i=0; i < a.length; i++){
    if (arrElms[i].match(/[A-Z]/g) && (a.lastIndexOf(arrElms[i])) == i) { //Busca majúscules
      maj = true;
    }else{
      if (arrElms[i].match(/[a-z]/g) && (a.lastIndexOf(arrElms[i])) == i) { //Busca minúscules 
        minus = true;			
      }else{			
        if (arrElms[i].match(/[0-9]/g) && (a.lastIndexOf(arrElms[i])) == i) { //Busca números 
          nume = true;
        }else{
          if ((a.lastIndexOf(arrElms[i])) == i){ //Busca simbols
            simb = true;
          }		
        }
      }
    }
  }
  
  if (maj) {
    N=N+26;        //Incrementa el nombre de elements en 26 si hi conté majúscules
  }
  if (minus){
    N=N+26;        //Incrementa el nombre de elements en 26 si hi conté minúscules
  }
  if (nume){
    N=N+10;        //Incrementa el nombre de elements en 10 si hi conté números
  }
  if (simb){
    N=N+32;        //Incrementa el nombre de elements en 32 si hi conté símbols
  }
  
  //Calcula l'entropia en funció de la longitud de la contrasenya i el nombre d'elements (N)
  //Per que quedi dins d'un rang més "amigable" es divideix entre 10
  if (llarg > 0){
    grau = parseInt((llarg * Math.log(N) / Math.log(2))/10);
  }

  //Interpreta el grau de manera visual "vermell = feble", "groc = Mitja", "verd = Forta"
  document.getElementById("l1").innerHTML=grau;
  if(grau < 3){
    document.getElementById("l1").style.color="red";
    document.getElementById("l2").innerHTML="Feble";
    document.getElementById("l2").style.color="red";
  }else{
    if(grau > 6){
      document.getElementById("l1").style.color="limegreen";
      document.getElementById("l2").innerHTML="Forta";
      document.getElementById("l2").style.color="limegreen";
    }else{
      document.getElementById("l1").style.color="orange";
      document.getElementById("l2").innerHTML="Mitja";
      document.getElementById("l2").style.color="orange";
    }
  }
}