-- phpMyAdmin SQL Dump
-- version 3.5.1
-- http://www.phpmyadmin.net
--
-- Servidor: localhost
-- Tiempo de generacin: 11-06-2014 a las 23:19:19
-- Versin del servidor: 5.5.24-log
-- Versin de PHP: 5.4.3

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

--
-- Base de dades: `gespas`
--
CREATE DATABASE `gespas` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `gespas`;

DELIMITER $$
--
-- Procediments
--
CREATE DEFINER=`root`@`localhost` PROCEDURE `afe`(IN `u` VARCHAR(100), IN `p` VARCHAR(100), IN `s` VARCHAR(64))
    NO SQL
INSERT INTO `usuaris`(`hUs`, `hPswX`, `bitSalt`) VALUES (u,p,s)$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `afeServ`(IN `u` VARCHAR(64), IN `a` VARCHAR(64), IN `uS` VARCHAR(64), IN `c` VARCHAR(64), IN `s` VARCHAR(64))
    NO SQL
INSERT INTO `serveis`(`hUs`, `adre`, `nomUsuari`,`contrasenya`,`servei`) 
VALUES (u,a,uS,c,s)$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `delServ`(IN `u` VARCHAR(64), IN `s` VARCHAR(64))
    NO SQL
DELETE FROM `serveis` 
WHERE `hUs` = u AND `servei` = s$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `sesi`(IN `hUs` VARCHAR(64) CHARSET utf8, IN `hPswXN` VARCHAR(64) CHARSET utf8, IN `ale` INT(64))
    DETERMINISTIC
SELECT usuaris.hUs
FROM usuaris
WHERE
SHA2((CONCAT(hUs , usuaris.bitSalt)),256) = usuaris.hUS
AND hPswXN = SHA2((CONCAT(usuaris.hPswX , ale)),256)$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `treuServ`(IN `u` VARCHAR(64))
SELECT servei,adre,nomUsuari,contrasenya
FROM `serveis` WHERE
hUS = u$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `upServ`(IN `u` VARCHAR(64), IN `a` VARCHAR(64), IN `uS` VARCHAR(64), IN `c` VARCHAR(64), IN `s` VARCHAR(64))
    NO SQL
UPDATE `serveis` SET
`adre` = a, `nomUsuari` = uS, `contrasenya` = c
WHERE u = hUS AND s =servei$$

DELIMITER ;

-- --------------------------------------------------------

--
-- Estructura de taula per a la taula `serveis`
--

CREATE TABLE IF NOT EXISTS `serveis` (
  `hUs` varchar(64) CHARACTER SET utf8 NOT NULL,
  `adre` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `nomUsuari` varchar(64) CHARACTER SET utf8 DEFAULT NULL,
  `contrasenya` varchar(64) CHARACTER SET utf8 NOT NULL,
  `servei` varchar(64) CHARACTER SET utf8 NOT NULL,
  UNIQUE KEY `hUsServei` (`hUs`,`servei`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de taula per a la taula `usuaris`
--

CREATE TABLE IF NOT EXISTS `usuaris` (
  `hUs` varchar(64) CHARACTER SET utf8 NOT NULL,
  `bitSalt` varchar(20) CHARACTER SET utf8 NOT NULL,
  `hPswX` varchar(64) CHARACTER SET utf8 NOT NULL,
  KEY `hUs` (`hUs`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Restriccions per a taules volcades
--

--
-- Filtres per a la taula `serveis`
--
ALTER TABLE `serveis`
  ADD CONSTRAINT `serveis_ibfk_1` FOREIGN KEY (`hUs`) REFERENCES `usuaris` (`hUs`) ON DELETE NO ACTION ON UPDATE NO ACTION;
